Subject: Re: git svn dcommit seg fault

From: Eric Wong <[email-masked]>
Date: Wed, 18 Jul 2007 00:34:50 -0700

Perrin Meyer <[email-masked]> wrote:
> 
> I'm able to clone svn repo's fine with
> 
> $ git svn clone https://svn.eng.msli.com/perrin/trunk/TESTGIT/ .
> 
> and I'm then able to use git commit to commit local changes, but 
> when I try 
> 
> $ git svn dcommit
> 
> I get
> 
> [perrin@whisper TESTGIT]$ git svn dcommit
>         M       test.c
> Committed r717
> Segmentation fault

> As far as I can tell, the commit worked fine (verified by trying 'svn
> update' on another box).
> 
> I've tried git version 1.5.2.3, 1.5.3-rc2, and the latest build, and
> all give the seg fault.
> 
> I'm guessing it has something to do with using the https connection to
> svn?

I primarily work with https repositories using git-svn and I haven't
seen any segfaults in a while.  Which version of the SVN libraries do
you have?  (git-svn --version will tell you).

-- 
Eric Wong